import { OnInit, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { Account } from '../shared/account';
import { Stormpath, LoginFormModel, LoginService } from '../stormpath/stormpath.service';
export declare class LoginComponent implements OnInit {
    stormpath: Stormpath;
    loginService: LoginService;
    /**
     * A reference to a `<ng-template>` tag that if set will override this component's template. Use like so:
     * ```
     * <ng-template #customTemplate>
     *   // custom HTML with login form
     * </ng-template>
     * ```
     * Then pass customTemplate to the `login-form` component like so `[customTemplate]="customTemplate"`
     */
    customTemplate: TemplateRef<any>;
    protected loginFormModel: LoginFormModel;
    protected user$: Observable<Account | boolean>;
    protected loggedIn$: Observable<boolean>;
    protected error: string;
    constructor(stormpath: Stormpath, loginService: LoginService);
    ngOnInit(): void;
    login(form: any): void;
    forgot(): void;
}
