import { Injectable } from '@angular/core';
import { Observer, Subscription } from 'rxjs/Rx';
import { Observable } from 'rxjs/Observable';
var EventManager = /** @class */ (function () {
    function EventManager() {
        var _this = this;
        this.observable = Observable.create(function (observer) {
            _this.observer = observer;
        }).share();
    }
    EventManager.prototype.broadcast = function (event) {
        this.observer.next(event);
    };
    EventManager.prototype.subscribe = function (eventName, callback) {
        return this.observable.filter(function (event) {
            return event.name === eventName;
        }).subscribe(callback);
    };
    EventManager.prototype.destroy = function (subscriber) {
        subscriber.unsubscribe();
    };
    return EventManager;
}());
export { EventManager };
//# sourceMappingURL=event.manager.js.map