import { LocalStorageService } from 'ng2-webstorage';
import { CookieService } from 'angular2-cookie/core';
import { AuthToken } from './auth.token';
export declare abstract class TokenStoreManager {
    abstract get(key: string): AuthToken;
    abstract put(key: string, value: AuthToken): any;
    abstract remove(key: string): void;
    setToken(name: string, token: any): AuthToken;
}
export declare class LocalStorageTokenStoreManager extends TokenStoreManager {
    private localStorage;
    constructor(localStorage: LocalStorageService);
    get(key: string): AuthToken;
    put(key: string, value: AuthToken): void;
    remove(key: string): void;
}
export declare class CookieTokenStoreManager extends TokenStoreManager {
    private cookieService;
    constructor(cookieService: CookieService);
    get(key: string): AuthToken;
    put(key: string, value: AuthToken): void;
    remove(key: string): void;
}
